taccuino.vo

## Class RilevazioneResponseDTO

- java.lang.Object
- - taccuino.vo.RilevazioneRequestDTO
  - - taccuino.vo.RilevazioneResponseDTO

-     public class RilevazioneResponseDTO
      extends RilevazioneRequestDTO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LocalDateTime` | `dataAggiornamento`
    `protected LocalDateTime` | `dataRegistrazione`
    `protected String` | `id`

    - ### Fields inherited from class taccuino.vo.RilevazioneRequestDTO

      `code, codeSystem, codeSystemName, codeSystemVersion, dataRilevazione, modalitaRilevazione, tipoRilevazione, unitaDiMisura, valore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RilevazioneResponseDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalDateTime` | `getDataAggiornamento()`
    `LocalDateTime` | `getDataRegistrazione()`
    `String` | `getId()`
    `void` | `setDataAggiornamento(LocalDateTime dataAggiornamento)`
    `void` | `setDataRegistrazione(LocalDateTime dataRegistrazione)`
    `void` | `setId(String id)`

    - ### Methods inherited from class taccuino.vo.RilevazioneRequestDTO

      `getCode, getCodeSystem, getCodeSystemName, getCodeSystemVersion, getDataRilevazione, getModalitaRilevazione, getTipoRilevazione, getUnitaDiMisura, getValore, setCode, setCodeSystem, setCodeSystemName, setCodeSystemVersion, setDataRilevazione, setModalitaRilevazione, setTipoRilevazione, setUnitaDiMisura, setValore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### dataRegistrazione

          protected LocalDateTime dataRegistrazione

    - #### dataAggiornamento

          protected LocalDateTime dataAggiornamento

  - ### Constructor Detail

    - #### RilevazioneResponseDTO

          public RilevazioneResponseDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getDataRegistrazione

          public LocalDateTime getDataRegistrazione()

    - #### setDataRegistrazione

          public void setDataRegistrazione(LocalDateTime dataRegistrazione)

    - #### getDataAggiornamento

          public LocalDateTime getDataAggiornamento()

    - #### setDataAggiornamento

          public void setDataAggiornamento(LocalDateTime dataAggiornamento)